Cyberduck Mountain Duck CLI

#10563 closed defect (thirdparty)

Invalid size displayed for file uploaded as static large object with multiple segments

Reported by: ajostergaard Owned by: dkocher
Priority: normal Milestone:
Component: openstack Version: 6.8.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

Using Swift to download vhd image from Rackspace. The file is in multiple parts but Cyberduck (or Swift protocol) helpfully downloads all of them and joins them up in one go. However Cyberduck says transfer incomplete even though the file appears to be fine. Uploaded some screenshots...

Attachments (2)

incomplete.png (463.9 KB) - added by ajostergaard on Dec 26, 2018 at 3:40:16 PM.
incomplete_list.png (339.5 KB) - added by ajostergaard on Dec 26, 2018 at 3:40:27 PM.

Download all attachments as: .zip

Change History (8)

Changed on Dec 26, 2018 at 3:40:16 PM by ajostergaard

Changed on Dec 26, 2018 at 3:40:27 PM by ajostergaard

comment:1 Changed on Dec 27, 2018 at 7:36:17 AM by ajostergaard

Example GET:

GET /v1/MossoCloudFS_558ba7b2-2bc3-4c29-8eb2-179da8400c06/export/aea9c919-f125-48a7-ad37-976809c153f6.vhd HTTP/1.1
X-Auth-Token: ********
Host: storage101.dfw1.clouddrive.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.8.3.29107 (Windows 10/10.0) (x86)
HTTP/1.1 200 OK
Content-Length: 72888250880
Etag: "0d6557b194b6e7e98bae8e6bdef96fde"
Accept-Ranges: bytes
Last-Modified: Tue, 25 Dec 2018 18:12:52 GMT
X-Object-Manifest: export/aea9c919-f125-48a7-ad37-976809c153f6.vhd-
X-Timestamp: 1545761571.47782
Content-Type: application/octet-stream
X-Trans-Id: tx37afa5261cdc41c58dbce-005c23549ddfw1
Date: Wed, 26 Dec 2018 10:14:53 GMT

comment:2 Changed on Jan 8, 2019 at 12:22:07 PM by dkocher

  • Milestone set to 6.9.0
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Transfer incomplete for vhd over Swift but file is fine to Invalid size displayed for file uploaded as static large object with multiple segments

comment:3 Changed on Jan 10, 2019 at 2:56:41 PM by dkocher

I could reproduce issues with invalid size reported for the manifest file of a segmented file with Rackspace. However not with other OpenStack Swift installations where the manifest file size is correct and will therefore not lead to an unequal comparison with the transferred number of bytes.

comment:4 Changed on Jan 13, 2019 at 3:22:52 PM by dkocher

  • Milestone 6.9.0 deleted

comment:5 Changed on Jan 13, 2019 at 5:42:22 PM by ajostergaard

Sounds like another good reason to switch from Rackspace... Sorry for the noise but thanks for looking into it.

Not sure what the protocol is but I am happy for this issue to be closed. Of course it might be worth adding a note to the docs or something mentioning that Rackspace misbehaves.

comment:6 Changed on Feb 15, 2019 at 1:44:42 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software